﻿//---------------------------------------------------------------------------
// 串口控件演示程序，Copyright © Victor Chen

#ifndef UnitEnumPortH
#define UnitEnumPortH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <System.Rtti.hpp>
#include <FMX.Controls.hpp>
#include <FMX.Grid.hpp>
#include <FMX.Layouts.hpp>
#include <FMX.Types.hpp>
#include "Fmx.YbCommDevice.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TYbCommDevice *YbCommDevice1;
    TButton *Button1;
	TStringGrid *StringGrid1;
    void __fastcall Button1Click(TObject *Sender);
private:	// User declarations
    void __fastcall AddColumn(TStringGrid *pGrid, UnicodeString sHeader, float fWidth);
    void __fastcall EnumSerialPort(void);
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
