﻿//---------------------------------------------------------------------------
// 串口控件演示程序，Copyright © Victor Chen

#ifndef UnitSendTextH
#define UnitSendTextH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <FMX.Controls.hpp>
#include <FMX.Layouts.hpp>
#include <FMX.Memo.hpp>
#include <FMX.Types.hpp>
#include "Fmx.YbCommDevice.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TYbCommDevice *YbCommDevice1;
    TMemo *MemoSend;
    TMemo *MemoReceive;
    TButton *ButtonSend;
    TButton *ButtonSet1;
    TButton *ButtonClear;
    TPanel *Panel1;
    TRadioButton *RadioBtnUTF8;
    TRadioButton *RadioBtnANSI;
    void __fastcall ButtonSet1Click(TObject *Sender);
    void __fastcall ButtonSendClick(TObject *Sender);
    void __fastcall YbCommDevice1CommNotify(TObject *Sender, int NotifyType);
    void __fastcall ButtonClearClick(TObject *Sender);
private:	// User declarations
    RawByteString sRawBuf; // 这个字符串类型不会解析字符编码，不会丢弃不完整的字符(比如半个汉字)
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
