﻿//---------------------------------------------------------------------------
// 控件演示程序，Copyright © Victor Chen

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "Vcl.YbCommDevice"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
  Button1->Click();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
  TCommSerialPortInfo spi;
  int iPortCount = spi.PortList->Count;
  int iRowCount = iPortCount + 1;
  if(iRowCount < 2)iRowCount = 2;

  StringGrid1->ColCount = 9;
  StringGrid1->RowCount = iRowCount;

  StringGrid1->Cells[0][0] = L"序号";
  StringGrid1->Cells[1][0] = L"端口名称";
  StringGrid1->Cells[2][0] = L"设备别名";
  StringGrid1->Cells[3][0] = L"类型描述";
  StringGrid1->Cells[4][0] = L"类型GUID";
  StringGrid1->Cells[5][0] = L"设备标识";
  StringGrid1->Cells[6][0] = L"设备描述";
  StringGrid1->Cells[7][0] = L"位置信息";
  StringGrid1->Cells[8][0] = L"注册表的子路径";

  for(int iPortIdx=0; iPortIdx<iPortCount; iPortIdx++)
   {
     TVictorSerialPortInfo *lpPort = spi.PortList->Ports[iPortIdx];
     int iRow = iPortIdx + 1;
     StringGrid1->Cells[0][iRow] = IntToStr(iRow);        // 序号
     StringGrid1->Cells[1][iRow] = lpPort->PortName;      // 端口名称
     StringGrid1->Cells[2][iRow] = lpPort->FriendlyName;  // 设备别名
     StringGrid1->Cells[3][iRow] = lpPort->ClassDesc;     // 类型描述
     StringGrid1->Cells[4][iRow] = lpPort->ClassGuid;     // 类型GUID
     StringGrid1->Cells[5][iRow] = lpPort->InstanceID;    // 设备标识
     StringGrid1->Cells[6][iRow] = lpPort->DeviceDesc;    // 设备描述
     StringGrid1->Cells[7][iRow] = lpPort->LocationInfo;  // 位置信息
     StringGrid1->Cells[8][iRow] = lpPort->RegistryPath;  // 注册表的子路径
   }

  for(int iRow=iPortCount+1; iRow<iRowCount; iRow++)
   {
     for(int iColNo=0; iColNo<StringGrid1->ColCount; iColNo++)
       StringGrid1->Cells[iColNo][iRow] = L"";
   }
}
//---------------------------------------------------------------------------

