﻿//---------------------------------------------------------------------------
// 控件演示程序，Copyright © Victor Chen

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.StdCtrls.hpp>
#include "Vcl.YbCommDevice.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TMemo *MemoSend;
    TButton *ButtonSend;
    TButton *ButtonSet1;
    TYbCommDevice *YbCommDevice1;
    TButton *ButtonClear;
	TPanel *PanelTextEncoding;
	TRadioButton *RadioBtnUTF8;
	TRadioButton *RadioBtnANSI;
    TMemo *MemoReceive;
    void __fastcall ButtonSet1Click(TObject *Sender);
    void __fastcall ButtonSendClick(TObject *Sender);
    void __fastcall ButtonClearClick(TObject *Sender);
    void __fastcall YbCommDevice1CommNotify(TObject *Sender, int NotifyType);
private:	// User declarations
    RawByteString sRawBuf; // 这个字符串类型不会解析字符编码，不会丢弃不完整的字符(比如半个汉字)
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 