//---------------------------------------------------------------------------

#ifndef Fmx_UnitYBCommDeviceAboutXE3H
#define Fmx_UnitYBCommDeviceAboutXE3H
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <FMX.Controls.hpp>
#include <FMX.Objects.hpp>
#include <FMX.Types.hpp>
//---------------------------------------------------------------------------
namespace Fmx {
namespace VictorComm {
//---------------------------------------------------------------------------
class PACKAGE TForm_YBComm64_About : public TForm
{
__published:	// IDE-managed Components
    TImage *Image1;
    TLine *Line1;
    TLabel *LabelCaption;
    TLabel *LabelVersion;
    TLabel *LabelCo;
    TLabel *LabelHomepage;
    TLabel *LabelEmail;
    TLabel *LabelOSVer;
    TButton *BnOK;
    void __fastcall LabelHomepageClick(TObject *Sender);
    void __fastcall LabelEmailClick(TObject *Sender);
    void __fastcall BnOKClick(TObject *Sender);
    void __fastcall LabelUrlMouseEnter(TObject *Sender);
    void __fastcall LabelUrlMouseLeave(TObject *Sender);
private:	// User declarations
    void __fastcall ShowSysInfo(void);
public:		// User declarations
    class PACKAGE TMsgStrings
     {
     public:
       __property UnicodeString Str_About        = { read = fGetMsg, index =  0 }; //""
       __property UnicodeString Str_DotDotDot    = { read = fGetMsg, index =  1 }; //""
       __property UnicodeString Str_User         = { read = fGetMsg, index =  2 }; //"û"
       __property UnicodeString Str_Orgn         = { read = fGetMsg, index =  3 }; //"λ"
       __property UnicodeString Str_CRgtVersion  = { read = fGetMsg, index =  4 }; //"汾: 1.00"
       __property UnicodeString Str_CRgtCoName   = { read = fGetMsg, index =  5 }; //"Copyright (c) Victor Chen"
       __property UnicodeString Str_CRgtHomePage = { read = fGetMsg, index =  6 }; //"http://www.cppfans.com"
       __property UnicodeString Str_CRgtAuEmail  = { read = fGetMsg, index =  7 }; //"victor@cppfans.com"
       __property UnicodeString Str_CRgtAuMailTo = { read = fGetMsg, index =  8 }; //"mailto:victor@cppfans.com"
       __property UnicodeString Str_OK           = { read = fGetMsg, index =  9 }; //"ȷ"
       __property UnicodeString Str_Settings     = { read = fGetMsg, index = 10 }; //"(&S)..."
       __property UnicodeString Str_MenuAbout    = { read = fGetMsg, index = 11 }; //"(&A)..."
       __fastcall TMsgStrings();

     private:
       const wchar_t **_Msg;
       UnicodeString __fastcall fGetMsg(int);
       TVictorCommLanguage _CommLanguage;
     };
    __fastcall TForm_YBComm64_About(TComponent* Owner, UnicodeString PName);
};
//---------------------------------------------------------------------------
// extern PACKAGE TForm_YBComm64_About *Form_YBComm64_About;
//---------------------------------------------------------------------------
} // namespace VictorComm
} // namespace Fmx
//---------------------------------------------------------------------------
#endif
