﻿//---------------------------------------------------------------------------
#pragma hdrstop

#include "Fmx.VictorFSM.h"
#include "Fmx.YbCommDevice.h"
#if (__BORLANDC__ >= 0x0670) // C++ Builder XE5
#  include "Fmx.UnitYBCommDeviceAboutXE5.h"
#  include "Fmx.UnitYbCommDeviceSettingsXE5.h"
#elif (__BORLANDC__ >= 0x0660) // C++ Builder XE4
#  include "Fmx.UnitYBCommDeviceAboutXE4.h"
#  include "Fmx.UnitYbCommDeviceSettingsXE4.h"
#elif (__BORLANDC__ >= 0x0650) // C++ Builder XE3
#  include "Fmx.UnitYBCommDeviceAboutXE3.h"
#  include "Fmx.UnitYbCommDeviceSettingsXE3.h"
#else // if (__BORLANDC__ >= 0x0640) // C++ Builder XE2
#  include "Fmx.UnitYBCommDeviceAboutXE2.h"
#  include "Fmx.UnitYbCommDeviceSettingsXE2.h"
#endif
#include "Fmx.YbCommDesignEditors.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
namespace Fmx {
namespace Ybcommdesigneditors {
//---------------------------------------------------------------------------
void __fastcall TYbCommDeviceEditor::ExecuteVerb(int Index)
{
  if(Index == 0)
   {
     bool bPressedBtnOK;
     VictorComm::TForm_YbCommDevice_Settings *FormSettings;
     VictorComm::TYbCommDevice *lpComm = dynamic_cast<VictorComm::TYbCommDevice*>(Component);

     if(lpComm)
      {
        FormSettings = new VictorComm::TForm_YbCommDevice_Settings(NULL,lpComm,false);
        bPressedBtnOK = FormSettings->ShowModal() == IDOK;
        delete FormSettings;

        if(bPressedBtnOK)
         {
           Designer->Modified();
         }
      }
   }
  else
   {
     VictorComm::TForm_YBComm64_About *FormAbout = new VictorComm::TForm_YBComm64_About(NULL,Component->ClassName());
     FormAbout->ShowModal();
     delete FormAbout;
   }
}
//---------------------------------------------------------------------------
UnicodeString __fastcall TYbCommDeviceEditor::GetVerb(int Index)
{
  if(Index == 0)
    return VictorComm::TForm_YBComm64_About::TMsgStrings().Str_Settings;
  return VictorComm::TForm_YBComm64_About::TMsgStrings().Str_MenuAbout;
}
//---------------------------------------------------------------------------
int __fastcall TYbCommDeviceEditor::GetVerbCount(void)
{
  return 2;
}
//---------------------------------------------------------------------------
void __fastcall PACKAGE Register()
{
  TComponentClass Classes[] =
   {
     __classid(Fmx::VictorComm::TYbCustomCommDevice),
     __classid(Fmx::VictorComm::TYbCommDevice      ),
     __classid(Fmx::VictorClasses::TVictorCustomFSM),
     __classid(Fmx::VictorClasses::TVictorFSM      ),
   };

  TComponentClass Components[] =
   {
     __classid(Fmx::VictorComm::TYbCommDevice      ),
     __classid(Fmx::VictorClasses::TVictorFSM      ),
   };

  ActivateClassGroup(__classid(Fmx_Controls_TControl));

  GroupDescendentsWith(__classid(Fmx::VictorComm::TYbCommDevice      ), __classid(Fmx_Controls_TControl));
  GroupDescendentsWith(__classid(Fmx::VictorComm::TYbCustomCommDevice), __classid(Fmx_Controls_TControl));
  GroupDescendentsWith(__classid(Fmx::VictorClasses::TVictorFSM      ), __classid(Fmx_Controls_TControl));
  GroupDescendentsWith(__classid(Fmx::VictorClasses::TVictorCustomFSM), __classid(Fmx_Controls_TControl));

  RegisterFmxClasses(Classes, sizeof(Classes)/sizeof(Classes[0])-1);

  RegisterComponents("Victor", Components, sizeof(Components)/sizeof(Components[0])-1);
  RegisterComponentEditor(__classid(Fmx::VictorComm::TYbCommDevice), __classid(TYbCommDeviceEditor));
}
//---------------------------------------------------------------------------
} // namespace Ybcommdesigneditors
} // namespace Fmx
//---------------------------------------------------------------------------
